Read one contact's conversation with the agent
curl --request GET \
--url https://api.getoneprofile.ai/outbound-agents/{agent_id}/conversations/ \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.getoneprofile.ai/outbound-agents/{agent_id}/conversations/"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.getoneprofile.ai/outbound-agents/{agent_id}/conversations/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"company_key": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_turn_at": "2023-11-07T05:31:56Z",
"messages": [
{
"agent_version": 123,
"angle": "<string>",
"body": "<string>",
"confidence": "high",
"confidence_score": 123,
"confident": true,
"conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"credits_charged": 123,
"error": "<string>",
"facts_used": [
"<string>"
],
"findings": [
{
"code": "<string>",
"excerpt": "<string>",
"message": "<string>",
"severity": "<string>"
}
],
"generated_body": "<string>",
"generated_subject": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"insufficient_data": true,
"is_preview": true,
"judge_verdict": {
"grounded": true,
"language_ok": true,
"on_topic": true,
"quality_score": 123,
"reasons": [
"<string>"
],
"safe": true
},
"kind": "email",
"model_key": "<string>",
"opens_thread": true,
"price_tenths": 123,
"quality_score": 123,
"reach": "none",
"reasoning": "<string>",
"sent_at": "2023-11-07T05:31:56Z",
"slot_key": "<string>",
"status": "writing",
"subject": "<string>"
}
],
"research_brief": [
{
"category": "role",
"fact": "<string>",
"source_title": "<string>",
"source_url": "<string>"
}
],
"researched_at": "2023-11-07T05:31:56Z",
"sources": [
"<string>"
],
"subject_key": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>",
"issues": [
{
"input": "<string>",
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}outbound-agents
Read one contact's conversation with the agent
What the agent found out about one contact and every message it has written them, oldest first. The contact is named by the key the sequence gave it.
GET
/
outbound-agents
/
{agent_id}
/
conversations
/
Read one contact's conversation with the agent
Authorizations
APIKeyHeaderHTTPBearer
Path Parameters
Query Parameters
The caller's key for the contact, e.g. sequence::record:.
Maximum string length:
255Response
Successful Response
One contact's running conversation with the agent, and what it has written.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?